<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getEnvelopeListResponse StructType
 * @subpackage Structs
 */
class GetEnvelopeListResponse extends AbstractStructBase
{
    /**
     * The envelopes
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var EnvelopeInfoType[]
     */
    public $envelopes;
    /**
     * Constructor method for getEnvelopeListResponse
     * @uses GetEnvelopeListResponse::setEnvelopes()
     * @param EnvelopeInfoType[] $envelopes
     */
    public function __construct(array $envelopes = array())
    {
        $this
            ->setEnvelopes($envelopes);
    }
    /**
     * Get envelopes value
     * @return EnvelopeInfoType[]|null
     */
    public function getEnvelopes()
    {
        return $this->envelopes;
    }
    /**
     * Set envelopes value
     * @throws \InvalidArgumentException
     * @param EnvelopeInfoType[] $envelopes
     * @return GetEnvelopeListResponse
     */
    public function setEnvelopes(array $envelopes = array())
    {
        $this->envelopes = $envelopes;
        return $this;
    }
    /**
     * Add item to envelopes value
     * @throws \InvalidArgumentException
     * @param EnvelopeInfoType $item
     * @return GetEnvelopeListResponse
     */
    public function addToEnvelopes(EnvelopeInfoType $item)
    {
        $this->envelopes[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetEnvelopeListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
