<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for moveShipmentsResponse StructType
 * @subpackage Structs
 */
class MoveShipmentsResponse extends AbstractStructBase
{
    /**
     * The notMovedGuid
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - length: 32
     * - whiteSpace: collapse
     * @var string[]
     */
    public $notMovedGuid;
    /**
     * The error
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * Constructor method for moveShipmentsResponse
     * @uses MoveShipmentsResponse::setNotMovedGuid()
     * @uses MoveShipmentsResponse::setError()
     * @param string[] $notMovedGuid
     * @param ErrorType[] $error
     */
    public function __construct(array $notMovedGuid = array(), array $error = array())
    {
        $this
            ->setNotMovedGuid($notMovedGuid)
            ->setError($error);
    }
    /**
     * Get notMovedGuid value
     * @return string[]|null
     */
    public function getNotMovedGuid()
    {
        return $this->notMovedGuid;
    }
    /**
     * Set notMovedGuid value
     * @throws \InvalidArgumentException
     * @param string[] $notMovedGuid
     * @return MoveShipmentsResponse
     */
    public function setNotMovedGuid(array $notMovedGuid = array())
    {
        $this->notMovedGuid = $notMovedGuid;
        return $this;
    }
    /**
     * Add item to notMovedGuid value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return MoveShipmentsResponse
     */
    public function addToNotMovedGuid($item)
    {
        $this->notMovedGuid[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @throws \InvalidArgumentException
     * @param ErrorType[] $error
     * @return MoveShipmentsResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return MoveShipmentsResponse
     */
    public function addToError(ErrorType $item)
    {
        $this->error[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return MoveShipmentsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
