<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for przesylkaFullType StructType
 * @subpackage Structs
 */
class PrzesylkaFullType extends AbstractStructBase
{
    /**
     * The przesylkaShort
     * @var PrzesylkaShortType
     */
    public $przesylkaShort;
    /**
     * The przesylkaFull
     * @var PrzesylkaType
     */
    public $przesylkaFull;
    /**
     * Constructor method for przesylkaFullType
     * @uses PrzesylkaFullType::setPrzesylkaShort()
     * @uses PrzesylkaFullType::setPrzesylkaFull()
     * @param PrzesylkaShortType $przesylkaShort
     * @param PrzesylkaType $przesylkaFull
     */
    public function __construct(PrzesylkaShortType $przesylkaShort = null, PrzesylkaType $przesylkaFull = null)
    {
        $this
            ->setPrzesylkaShort($przesylkaShort)
            ->setPrzesylkaFull($przesylkaFull);
    }
    /**
     * Get przesylkaShort value
     * @return PrzesylkaShortType|null
     */
    public function getPrzesylkaShort()
    {
        return $this->przesylkaShort;
    }
    /**
     * Set przesylkaShort value
     * @param PrzesylkaShortType $przesylkaShort
     * @return PrzesylkaFullType
     */
    public function setPrzesylkaShort(PrzesylkaShortType $przesylkaShort = null)
    {
        $this->przesylkaShort = $przesylkaShort;
        return $this;
    }
    /**
     * Get przesylkaFull value
     * @return PrzesylkaType|null
     */
    public function getPrzesylkaFull()
    {
        return $this->przesylkaFull;
    }
    /**
     * Set przesylkaFull value
     * @param PrzesylkaType $przesylkaFull
     * @return PrzesylkaFullType
     */
    public function setPrzesylkaFull(PrzesylkaType $przesylkaFull = null)
    {
        $this->przesylkaFull = $przesylkaFull;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return PrzesylkaFullType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
