<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for przesylkaListowaZadeklarowanaWartoscType StructType
 * @subpackage Structs
 */
class PrzesylkaListowaZadeklarowanaWartoscType extends PrzesylkaRejestrowanaType
{
    /**
     * The kategoria
     * Meta informations extracted from the WSDL
     * - use: required
     * @var string
     */
    public $kategoria;
    /**
     * The gabaryt
     * Meta informations extracted from the WSDL
     * - use: required
     * @var string
     */
    public $gabaryt;
    /**
     * The posteRestante
     * Meta informations extracted from the WSDL
     * - default: false
     * - use: optional
     * @var bool
     */
    public $posteRestante;
    /**
     * The wartosc
     * Meta informations extracted from the WSDL
     * - documentation: zadeklarowana wartość przesyłki w groszach
     * - maxInclusive: 9999999
     * - minInclusive: 0
     * @var int
     */
    public $wartosc;
    /**
     * The iloscPotwierdzenOdbioru
     * Meta informations extracted from the WSDL
     * - default: 0
     * - use: optional
     * - maxInclusive: 9
     * - minInclusive: 0
     * @var int
     */
    public $iloscPotwierdzenOdbioru;
    /**
     * The masa
     * Meta informations extracted from the WSDL
     * - use: optional
     * - documentation: masa przesyłki podana w gramach
     * - maxInclusive: 9999999
     * - minInclusive: 1
     * @var int
     */
    public $masa;
    /**
     * Constructor method for przesylkaListowaZadeklarowanaWartoscType
     * @uses PrzesylkaListowaZadeklarowanaWartoscType::setKategoria()
     * @uses PrzesylkaListowaZadeklarowanaWartoscType::setGabaryt()
     * @uses PrzesylkaListowaZadeklarowanaWartoscType::setPosteRestante()
     * @uses PrzesylkaListowaZadeklarowanaWartoscType::setWartosc()
     * @uses PrzesylkaListowaZadeklarowanaWartoscType::setIloscPotwierdzenOdbioru()
     * @uses PrzesylkaListowaZadeklarowanaWartoscType::setMasa()
     * @param string $kategoria
     * @param string $gabaryt
     * @param bool $posteRestante
     * @param int $wartosc
     * @param int $iloscPotwierdzenOdbioru
     * @param int $masa
     */
    public function __construct($kategoria = null, $gabaryt = null, $posteRestante = false, $wartosc = null, $iloscPotwierdzenOdbioru = 0, $masa = null)
    {
        $this
            ->setKategoria($kategoria)
            ->setGabaryt($gabaryt)
            ->setPosteRestante($posteRestante)
            ->setWartosc($wartosc)
            ->setIloscPotwierdzenOdbioru($iloscPotwierdzenOdbioru)
            ->setMasa($masa);
    }
    /**
     * Get kategoria value
     * @return string
     */
    public function getKategoria()
    {
        return $this->kategoria;
    }
    /**
     * Set kategoria value
     * @uses KategoriaType::valueIsValid()
     * @uses KategoriaType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $kategoria
     * @return PrzesylkaListowaZadeklarowanaWartoscType
     */
    public function setKategoria($kategoria = null)
    {
        $this->kategoria = $kategoria;
        return $this;
    }
    /**
     * Get gabaryt value
     * @return string
     */
    public function getGabaryt()
    {
        return $this->gabaryt;
    }
    /**
     * Set gabaryt value
     * @uses GabarytType::valueIsValid()
     * @uses GabarytType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $gabaryt
     * @return PrzesylkaListowaZadeklarowanaWartoscType
     */
    public function setGabaryt($gabaryt = null)
    {
        $this->gabaryt = $gabaryt;
        return $this;
    }
    /**
     * Get posteRestante value
     * @return bool|null
     */
    public function getPosteRestante()
    {
        return $this->posteRestante;
    }
    /**
     * Set posteRestante value
     * @param bool $posteRestante
     * @return PrzesylkaListowaZadeklarowanaWartoscType
     */
    public function setPosteRestante($posteRestante = false)
    {
        $this->posteRestante = $posteRestante;
        return $this;
    }
    /**
     * Get wartosc value
     * @return int|null
     */
    public function getWartosc()
    {
        return $this->wartosc;
    }
    /**
     * Set wartosc value
     * @param int $wartosc
     * @return PrzesylkaListowaZadeklarowanaWartoscType
     */
    public function setWartosc($wartosc = null)
    {
        $this->wartosc = $wartosc;
        return $this;
    }
    /**
     * Get iloscPotwierdzenOdbioru value
     * @return int|null
     */
    public function getIloscPotwierdzenOdbioru()
    {
        return $this->iloscPotwierdzenOdbioru;
    }
    /**
     * Set iloscPotwierdzenOdbioru value
     * @param int $iloscPotwierdzenOdbioru
     * @return PrzesylkaListowaZadeklarowanaWartoscType
     */
    public function setIloscPotwierdzenOdbioru($iloscPotwierdzenOdbioru = 0)
    {
        $this->iloscPotwierdzenOdbioru = $iloscPotwierdzenOdbioru;
        return $this;
    }
    /**
     * Get masa value
     * @return int|null
     */
    public function getMasa()
    {
        return $this->masa;
    }
    /**
     * Set masa value
     * @param int $masa
     * @return PrzesylkaListowaZadeklarowanaWartoscType
     */
    public function setMasa($masa = null)
    {
        $this->masa = $masa;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return PrzesylkaListowaZadeklarowanaWartoscType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
