<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for zwrotPrzesylkiType StructType
 * @subpackage Structs
 */
class ZwrotPrzesylkiType extends AbstractStructBase
{
    /**
     * The przyczyna
     * @var string
     */
    public $przyczyna;
    /**
     * The data
     * @var string
     */
    public $data;
    /**
     * The przyczynaZwrotuDodatkowa
     * Meta informations extracted from the WSDL
     * - documentation: Dodatkowy opisowy powód zwrotu przesyłki
     * - use: optional
     * - maxLength: 255
     * @var string
     */
    public $przyczynaZwrotuDodatkowa;
    /**
     * Constructor method for zwrotPrzesylkiType
     * @uses ZwrotPrzesylkiType::setPrzyczyna()
     * @uses ZwrotPrzesylkiType::setData()
     * @uses ZwrotPrzesylkiType::setPrzyczynaZwrotuDodatkowa()
     * @param string $przyczyna
     * @param string $data
     * @param string $przyczynaZwrotuDodatkowa
     */
    public function __construct($przyczyna = null, $data = null, $przyczynaZwrotuDodatkowa = null)
    {
        $this
            ->setPrzyczyna($przyczyna)
            ->setData($data)
            ->setPrzyczynaZwrotuDodatkowa($przyczynaZwrotuDodatkowa);
    }
    /**
     * Get przyczyna value
     * @return string|null
     */
    public function getPrzyczyna()
    {
        return $this->przyczyna;
    }
    /**
     * Set przyczyna value
     * @uses PrzyczynaZwrotuEnum::valueIsValid()
     * @uses PrzyczynaZwrotuEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $przyczyna
     * @return ZwrotPrzesylkiType
     */
    public function setPrzyczyna($przyczyna = null)
    {
        $this->przyczyna = $przyczyna;
        return $this;
    }
    /**
     * Get data value
     * @return string|null
     */
    public function getData()
    {
        return $this->data;
    }
    /**
     * Set data value
     * @param string $data
     * @return ZwrotPrzesylkiType
     */
    public function setData($data = null)
    {
        $this->data = $data;
        return $this;
    }
    /**
     * Get przyczynaZwrotuDodatkowa value
     * @return string|null
     */
    public function getPrzyczynaZwrotuDodatkowa()
    {
        return $this->przyczynaZwrotuDodatkowa;
    }
    /**
     * Set przyczynaZwrotuDodatkowa value
     * @param string $przyczynaZwrotuDodatkowa
     * @return ZwrotPrzesylkiType
     */
    public function setPrzyczynaZwrotuDodatkowa($przyczynaZwrotuDodatkowa = null)
    {
        $this->przyczynaZwrotuDodatkowa = $przyczynaZwrotuDodatkowa;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return ZwrotPrzesylkiType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
